<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-6">
      <div class="card">
        <div class="card-header">
          <h4 class="card-title">Modificar datos Usuario</h4>
        </div>
      <form class="needs-validation" novalidate>

        <div class="col-md-6 mb-3">
            <label for="rut">Rut</label>
            <input disabled
              type="text"
              class="form-control"
              name="rut"
              [(ngModel)]="usuario.rut"
            />
            <div class="valid-feedback"></div>
          </div>
      
          <div class="col-md-6 mb-3">
            <label for="username">Usuario</label>
            <input
              type="text"
              class="form-control"
              name="username"
              [(ngModel)]="usuario.username"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="nombre">Nombre</label>
            <input
              type="text"
              class="form-control"
              name="nombre"
              [(ngModel)]="usuario.nombreUsuario"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="validationCustom02">Apellido Paterno</label>
            <input
              type="text"
              class="form-control"
              name="apellido"
              [(ngModel)]="usuario.apellidoPaterno"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="validationCustom02">Apellido Materno</label>
            <input
              type="text"
              class="form-control"
              name="materno"
              [(ngModel)]="usuario.apellidoMaterno"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="validationCustom02">Dirección</label>
            <input
              type="text"
              class="form-control"
              name="direccion"
              [(ngModel)]="usuario.direccion"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="validationCustom02">Email</label>
            <input
              type="text"
              class="form-control"
              name="email"
              [(ngModel)]="usuario.email"
            />
            <div class="valid-feedback"></div>
          </div>

          <div class="col-md-6 mb-3">
            <label for="validationCustom02">Contraseña</label>
            <input
              type="text"
              class="form-control"
              name="contrasena"
              [(ngModel)]="usuario.contrasena"
            />
            <div class="valid-feedback"></div>
          </div>


          
       

        <button class="btn btn-primary" type="submit" (click)="editar()" style="margin: 30px">
          Modificar
        </button>
      </form>
    </div>
  </div>
</div>
</div>
